| helics 3.6.1

Public Member Functions | List of all members
helics::ConnectorFederateManager Class Reference

`#include <ConnectorFederateManager.hpp>`

## Public Member Functions
| ConnectorFederateManager (Core *coreObj, Federate *fFed, LocalFederateId fid, bool singleThreaded)
| ~ConnectorFederateManager ()
Filter & | registerFilter (std::string_view name, std::string_view type_in, std::string_view type_out)
CloningFilter & | registerCloningFilter (std::string_view name, std::string_view type_in, std::string_view type_out)
Filter & | registerFilter (FilterTypes type, std::string_view name)
CloningFilter & | registerCloningFilter (FilterTypes type, std::string_view name)
Filter & | getFilter (std::string_view name)
const Filter & | getFilter (std::string_view name) const
Filter & | getFilter (int index)
const Filter & | getFilter (int index) const
Translator & | registerTranslator (std::string_view name, std::string_view endpointType, std::string_view units)
Translator & | getTranslator (std::string_view name)
const Translator & | getTranslator (std::string_view name) const
Translator & | getTranslator (int index)
const Translator & | getTranslator (int index) const
int | getFilterCount () const
int | getTranslatorCount () const
void | closeAllConnectors ()
void | disconnectAllConnectors ()
void | disconnect ()

## Detailed Description

class handling the implementation details for managing connectors(Filters and Translators)

the functions match those in Federate.hpp dealing with filters and Translators and contain the actual implementation details

## Constructor & Destructor Documentation

## ◆ ConnectorFederateManager()

helics::ConnectorFederateManager::ConnectorFederateManager | ( | Core * | coreObj,
|  | Federate * | fFed,
|  | LocalFederateId | fid,
|  | bool | singleThreaded
| ) |  |

construct from a pointer to a core and a specified federate id

## ◆ ~ConnectorFederateManager()

helics::ConnectorFederateManager::~ConnectorFederateManager | ( |  | ) |
| default

destructor

## Member Function Documentation

## ◆ closeAllConnectors()

void helics::ConnectorFederateManager::closeAllConnectors | ( |  | ) |

close all filters

References helics::Core::closeHandle().

## ◆ disconnect()

void helics::ConnectorFederateManager::disconnect | ( |  | ) |

disconnect from the coreObject

## ◆ disconnectAllConnectors()

void helics::ConnectorFederateManager::disconnectAllConnectors | ( |  | ) |

close all filters

## ◆ getFilter()

Filter & helics::ConnectorFederateManager::getFilter | ( | std::string_view | name | ) |

get a registered Filter

Parameters

  name | the publication id

Returns
  ivalid_publication_id if name is not recognized otherwise returns the publication_id

## ◆ getFilterCount()

int helics::ConnectorFederateManager::getFilterCount | ( |  | ) | const

get the number of registered filters in the federate

## ◆ getTranslator()

Translator & helics::ConnectorFederateManager::getTranslator | ( | std::string_view | name | ) |

get a registered Translator

Parameters

  name | the translator name

Returns
  invalid translator object if name is not recognized otherwise returns the translator

## ◆ getTranslatorCount()

int helics::ConnectorFederateManager::getTranslatorCount | ( |  | ) | const

get the number of registered filters in the federate

## ◆ registerCloningFilter() [1/2]

CloningFilter & helics::ConnectorFederateManager::registerCloningFilter | ( | FilterTypes | type,
|  | std::string_view | name
| ) |  |

register a cloningFilter

call is only valid in startup mode

Parameters

  name | the name of the endpoint
  type | the defined type of the interface for endpoint checking if requested

References helics::make_cloning_filter().

## ◆ registerCloningFilter() [2/2]

CloningFilter & helics::ConnectorFederateManager::registerCloningFilter | ( | std::string_view | name,
|  | std::string_view | type_in,
|  | std::string_view | type_out
| ) |  |

register a cloningFilter

call is only valid in startup mode

Parameters

  name | the name of the endpoint
  type_in | the type the filter is expecting as an input
  type_out | the type the filter generates

References helics::Core::getHandleName(), and helics::Core::registerCloningFilter().

## ◆ registerFilter() [1/2]

Filter & helics::ConnectorFederateManager::registerFilter | ( | FilterTypes | type,
|  | std::string_view | name
| ) |  |

register a Filter

call is only valid in startup mode

Parameters

  type | the defined type of the filter
  name | the name of the filter

References helics::make_filter().

## ◆ registerFilter() [2/2]

Filter & helics::ConnectorFederateManager::registerFilter | ( | std::string_view | name,
|  | std::string_view | type_in,
|  | std::string_view | type_out
| ) |  |

register a Filter

call is only valid in startup mode

Parameters

  name | the name of the endpoint
  type_in | the type the filter is expecting as an input
  type_out | the type the filter generates

References helics::Core::getHandleName(), and helics::Core::registerFilter().

## ◆ registerTranslator()

Translator & helics::ConnectorFederateManager::registerTranslator | ( | std::string_view | name,
|  | std::string_view | endpointType,
|  | std::string_view | units
| ) |  |

register a Translator

call is only valid in startup mode

Parameters

  name | the name of the translator
  endpointType | is the type of the endpoints
  units | is the units associated with the value interface

References helics::Core::getHandleName(), and helics::Core::registerTranslator().

The documentation for this class was generated from the following files:

- ConnectorFederateManager.hpp
- ConnectorFederateManager.cpp